main#primary {
	container-type: inline-size;
	width: 100%;
	background-color: var(--white);
}

.the-content {
	display: grid;
	grid-template-columns: min(100%, var(--wp--style--global--content-size));
	justify-content: center;

	> :where(:not(.is-layout-constrained):not(.alignfull)) {
		/* I _think_ this should be here and not in theme.json? */
		margin: var(--wp--preset--spacing--20) var(--wp--style--root--padding-right)
			0 var(--wp--style--root--padding-left);

		@media (min-width: 1000px) {
			margin-inline: 0;
		}

		> * {
			margin-inline-start: var(--wp--style--root--padding-right);
			margin-inline-end: var(--wp--style--root--padding-left);

			@media (min-width: 1000px) {
				margin-inline: 0;
			}
		}
	}

	> :where(.is-layout-constrained) {
		> * {
			padding-inline-start: var(--wp--style--root--padding-left);
			padding-inline-end: var(--wp--style--root--padding-right);
		}
	}

	/* This fixes images full width not going full width. I'm not sure if this is actually a good solution. */
	> .alignfull.wp-block-image,
	> .alignfull.wp-block-image img {
		margin-inline: 0;
	}

	> * {
		margin-block-start: var(--wp--preset--spacing--20);
	}

	/* This _should_ override > * above. */
	> .alignfull + .alignfull,
	> :where(:first-child) {
		margin-block-start: 0;
	}

	/* biome-ignore lint: Isn't an issue. */
	.alignfull {
		clear: both;
		justify-self: center;
		width: 100cqw;
	}

	.alignleft {
		float: left;
		margin-block-start: var(--wp--preset--spacing--10);
		margin-block-end: var(--wp--preset--spacing--10);
		margin-inline-end: var(--wp--preset--spacing--10);
	}

	.alignright {
		float: right;
		margin-block-start: var(--wp--preset--spacing--10);
		margin-block-end: var(--wp--preset--spacing--10);
		margin-inline-start: var(--wp--preset--spacing--10);
	}

	.alignwide {
		justify-self: center;
		width: 100cqw;
		max-width: var(--wp--style--global--wide-size);
	}

	.gform_wrapper > * {
		margin-inline-start: 0;
		margin-inline-end: 0;
	}

	/* TODO: The content should probably be migrated to column blocks. */
	.single-post & {
		p {
			padding-block: var(--spacing-30);
			column-count: 2;
			column-gap: var(--spacing-30);

			@media (width > 1000px) {
				padding-block: var(--spacing-50);
			}
		}
	}
}
